function D = physical_dist( XI, XJ )
%  D = physical_dist( XI, XJ )
% distance function as used by pdist.
% XI should be a row of size(1,2) and XJ should be a set of rows of size(N,2)
% containing N latitiude,longitude pairs

N = size( XJ, 1 );
D = zeros( N, 1 );
for i=1:N,
    D(i) = greatCircleDistance( 2*pi*XI(1,1)/360, 2*pi*XI(1,2)/360, ...
				2*pi*XJ(i,1)/360, 2*pi*XJ(i,2)/360 );
end
	
