function ranks = rank_cdf( distances, group )
% given a sample distance matrix $distances, and class labels $group, returns 
% the CDF of group ranks.  

N=length(group);
ranks = zeros( length(unique(group)), 1 );
for i=1:N
    [y,ind] = sort(distances(:,i));

    g = group(ind); % group ids of nearest samples, sorted
    ind2 = find( g==group(i), 1 ); % find first occurrence of correct group id
    rank = length( unique( g(1:ind2) ) ); % rank of correct group id

    ranks( rank:end ) = ranks( rank:end ) + 1;
end
ranks = ranks/N;

end
